<?php

/* DCMS Special
 * Дата последнего редактирования 18.01.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'adm_check', 'user') as $inc) {
    require_once "../sys/inc/$inc.php";
}

access('adm_banlist', null, 'index.php?' . SID);
adm_check();

$set['title'] = lang('Список забаненых');
require_once H . 'sys/inc/thead.php';

aut();
err();

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='" . DIR_PANEL . "'>" . lang('Панель управления') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Список забаненых');
echo "</small></div><br />";

$k = $db->super_query("SELECT COUNT(*) as count FROM `ban` WHERE `time` > '$time'");
$k_post = $k['count'];
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];
$q = $db->query("SELECT * FROM `ban` WHERE `time` > '$time' ORDER BY `id` DESC LIMIT $start, $set[p_str]");

if ($k_post == 0) {
    $doc->NoResult();
}
while ($ban = $db->get_row($q)) {
    $ank = get_user($ban['id_user']);
    echo "<table class='list-group-item-null'><tr><td class='icon14'>";
    avatar($ank['id'], '48', 'border-radius: 2px;');
    echo "</td><td class='null'>";
    echo "<font color='grey' style='float: right;'><small>" . date::time($ban['time']) . "</small></font>";

    user($ank['id']);
    echo "<br />";
    $user_ban = get_user($ban['id_ban']);

    echo toOutput($ban['prich']) . " ($user_ban[nick])<br />";
    echo "</td></tr></table>";
    echo "<div class='hr'></div>";
}

if ($k_page > 1) {
    str("?", $k_page, $page);
}

require_once H . 'sys/inc/tfoot.php';
